Bug 213216

Summary: devel/git-lfs: Fix build for 1.4.1
Product: Ports & Packages Reporter: Kenji Rikitake <kenji>
Component: Individual Port(s)Assignee: Rene Ladan <rene>
Status: Closed Overcome By Events    
Severity: Affects Many People CC: mainland, rene
Priority: --- Keywords: patch
Version: LatestFlags: bugzilla: maintainer-feedback? (kuriyama)
Hardware: amd64   
OS: Any   
Attachments:
Description Flags
Patch for git-lfs 1.4.1 at devel/git-lfs (Makefile/distinfo) none

Description Kenji Rikitake 2016-10-05 00:42:56 UTC
Created attachment 175435 [details]
Patch for git-lfs 1.4.1 at devel/git-lfs (Makefile/distinfo)

Update of bug #208152 and bug #208942 for git-lfs 1.4.1
Comment 1 mainland 2016-10-07 17:24:32 UTC
Note that this will not work on systems with a noexec /tmp. Changing the do-build rule to this fixes the /tmp issue:

do-build:
	cd ${WRKSRC} && mkdir ${WRKSRC}/.tmp && TMPDIR=${WRKSRC}/.tmp script/bootstrap
Comment 2 Kenji Rikitake 2016-10-09 08:19:13 UTC
(In reply to mainland from comment #1)
Thx, the .tmp patch makes sense.
Comment 3 Rene Ladan freebsd_committer 2016-11-02 20:41:50 UTC
This port is now officially expired but it would be nice to keep it. Can I somehow help in getting this PR committed?
Comment 4 Kenji Rikitake 2016-11-02 22:58:51 UTC
I can be a new maintainer of devel/git-lfs port.
Comment 5 Kenji Rikitake 2016-11-03 00:53:07 UTC
Bug #214154 contains Makefile and distinfo for 1.4.4
Comment 6 Rene Ladan freebsd_committer 2016-11-06 12:00:58 UTC
(In reply to Kenji Rikitake from comment #4)

I'll assign you as the new maintainer and update the port to 1.4.4, as per https://www.freebsd.org/doc/en/books/porters-handbook/makefile-maintainer.html
Comment 7 Rene Ladan freebsd_committer 2016-11-06 12:31:17 UTC
Superseded by #214154